IPSW-WATCH(1)

NAME
ipsw-watch - Watch Github Commits

SYNOPSIS
ipsw watch [flags]

DESCRIPTION
Watch Github Commits

OPTIONS
-a, --api=""
    Github API Token

-b, --branch="main"
    Repo branch to watch

-d, --days=1
    Days back to search for commits

--discord-icon=""
    Discord Post Icon URL

--discord-id=""
    Discord Webhook ID

--discord-token=""
    Discord Webhook Token

-f, --file=""
    Commit file path to watch

-h, --help[=false]
    help for watch

--json[=false]
    Output downloadable tar.gz URLs as JSON

-p, --pattern=""
    Commit message pattern to match

-t, --timeout=0s
    Timeout for watch attempts (default: 0s = no timeout/run once)

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

SEE ALSO
ipsw(1)

HISTORY
17-Dec-2024 Auto generated by spf13/cobra